%define beta 0

%if %beta
%define pre pre1
%endif

Summary: Patches utilities 
Name:    patchutils
Version: 0.2.30
%if %beta
Release: 0.1%{pre}mdk
%else
Release: 1mdk
%endif
%if %beta
Source0: %name-%version%pre.tar.bz2
%else
Source0: %name-%version.tar.bz2
%endif
Patch: patchutils-0.2.11-editdiff-man.diff.bz2
URL: http://cyberelk.net/tim/patchutils/
License: GPL
Group: Text tools
BuildRoot: %_tmppath/%name-buildroot
Provides: interdiff
Obsoletes: interdiff
Requires: patch diffutils

%description
Patchutils contains interdiff and filterdiff.

You can use interdiff to create an incremental patch between two patches
that are against a common source tree.

Filterdiff is for extracting or excluding patches from a patch set based
on modified files matching shell wildcards.

%prep
%if %beta
%setup -q -n %name-%version%pre
%else
%setup -q
%endif
%patch0 -p1 -b .editdiff_addman

%build
%configure
%make
make tests

%install
%makeinstall
install -m 644 editdiff.1 $RPM_BUILD_ROOT%_mandir/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS ChangeLog TODO COPYING
%_bindir/*
%_mandir/man1/*

%changelog
* Fri Jul 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.30-1mdk
- 0.2.30

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.29-1mdk
- new release

* Tue Jan 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.26-1mdk
- 0.2.26

* Wed Dec 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.25-1mdk
- new release

* Sun Jul 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.24-1mdk
- 0.2.24

* Fri Jun 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.23-1mdk
- 0.2.23

* Fri Apr 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.22-1mdk
- new release

* Mon Feb 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.20-1mdk
- new release

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.18-1mdk
- new release

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.17-1mdk
- new release

* Fri Aug 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.16-1mdk
- new release:
	o a new option (--annotate) was added to filterdiff
	o interdiff can now strip context lines from patches

* Wed Jul 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.15-1mdk
- 0.2.15

* Tue May 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.14-1mdk
- new release

* Fri May 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.13-1mdk
- 0.2.13

* Sat Apr 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.12-1mdk
- new release:
	- new interdiff option (--debug)
	- describe new usages of filterdiff
	- stricter checking in tests
	- fix offset in interdiff

* Wed Apr 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.12-0.1pre1mdk
- new release:
   - more tests
   - -q (quiet) option
   - document basic usage
   - interdiff remove temp files on evasive action (typically when patches're
     too different)
   - Handle GNU diff's output format, which differs slightly from the one
     described in SuSV2.
   - default number of lines of context is 3, not 2.
- remove useless prefix
- run tests

* Fri Apr 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.11-1mdk
- new release
- add editdiff(1) manpage

* Mon Mar 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.10-1mdk
- update

* Mon Feb 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.9-1mdk
- new release (bug fix in cvs diff handling)

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-1mdk
- new release

* Sun Jan 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-2mdk
- Requires: patch diffutils

* Wed Dec 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release

* Mon Dec 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- new release

* Thu Nov 29 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-2mdk
- fix %url (chmouel)

* Wed Nov 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- new release

* Thu Nov 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.3-1mdk
- new release

* Tue Nov 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-1mdk
- new release

* Tue Nov 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- new release

* Tue Oct 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.5-1mdk
- new release

* Wed Oct 17 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.4-1mdk
- new release

* Tue Oct 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-1mdk
- initial release
- obsoletes interdiff
- macroize
- more docs
